#ifndef QLOPDATA_H
#define QLOPDATA_H

#include <QObject>
#include <qcustomplot.h>

typedef struct dataVector
{
  QString name;
  QString unit;
  QVector<QCPData>* data;
}dataVector;

typedef QList<dataVector> QListOfDataVector;



class QLopData : public QObject
{
    Q_OBJECT
public:
    explicit QLopData(QObject *parent = 0);
    ~QLopData();
    QString name;
    QString unit;
    QVector<QCPData>* data;
signals:
    void dataChanged();
public slots:
private:
};
typedef QList<QLopData*> QLopDataList;

#endif // QLOPDATA_H
